> ## Documentation Index
> Fetch the complete documentation index at: https://docs.become1.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Planned vouchers



## OpenAPI

````yaml get /api/v2/employees/{employeeId}/goodies/planned-vouchers
openapi: 3.0.0
info:
  title: become.1 API
  description: become.1 API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v2/employees/{employeeId}/goodies/planned-vouchers:
    get:
      operationId: ApiV2EmployeeGoodiesController_getPlannedGoodiesVouchers
      parameters:
        - name: employeeId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GoodiesSettingsOutputDto'
      security:
        - bearer: []
components:
  schemas:
    GoodiesSettingsOutputDto:
      type: object
      properties:
        id:
          type: string
          description: The unique primary key (UUID) of the entity.
        dateCreated:
          format: date-time
          type: string
        dateModified:
          format: date-time
          type: string
        dateDeleted:
          format: date-time
          type: string
          nullable: true
        employeeId:
          type: string
        amount:
          $ref: '#/components/schemas/MonetaryAmount'
        goodiesVoucherType:
          type: string
          enum:
            - GENERIC
            - SPECIAL
        interval:
          type: string
          enum:
            - ONCE
            - DAILY
            - WEEKLY
            - MONTHLY
            - YEARLY
        nextDate:
          format: date-time
          type: string
          nullable: true
        startDate:
          format: date-time
          type: string
        startDateYearMonth:
          type: string
          description: yyyy-MM
        endDate:
          format: date-time
          type: string
          nullable: true
        endDateYearMonth:
          type: string
          nullable: true
          description: yyyy-MM
      required:
        - id
        - dateCreated
        - dateModified
        - employeeId
        - amount
        - goodiesVoucherType
        - interval
        - nextDate
        - startDate
        - startDateYearMonth
    MonetaryAmount:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````